package app.fedilab.fedilabtube.helper;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class Helper {

    //List of available academies
    public static List<String> academies = new ArrayList<>(Arrays.asList(
            "ac-aix-marseille.fr",
            "ac-amiens.fr",
            "ac-besancon.fr",
            "ac-bordeaux.fr",
            "ac-clermont.fr",
            "ac-corse.fr",
            "ac-creteil.fr",
            "ac-dijon.fr",
            "ac-grenoble.fr",
            "ac-guadeloupe.fr",
            "ac-guyane.fr",
            "ac-reunion.fr",
            "ac-lille.fr",
            "ac-limoges.fr",
            "ac-lyon.fr",
            "ac-martinique.fr",
            "ac-mayotte.fr",
            "ac-montpellier.fr",
            "ac-nancy-metz.fr",
            "ac-nantes.fr",
            "ac-normandie.fr",
            "ac-orleans-tours.fr",
            "ac-paris.fr",
            "ac-poitiers.fr",
            "outremer.fr",
            "ac-rennes.fr",
            "ac-spm.fr",
            "ac-strasbourg.fr",
            "ac-toulouse.fr",
            "ac-versailles.fr"
    ));

    /**
     * Returns the peertube URL depending of the academic domain name
     * @param acad String academic domain name
     * @return String the peertube URL
     */
    public static String getPeertubeUrl(String acad) {
        return "https://tube-"+acad.replace("ac\\-|\\.fr","")+".beta.education.fr/";
    }
}
